Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002338 [JEDI VCL] 00 JVCL Components minor always 2004-11-24 10:40 2006-06-08 06:49
Reporter Daniel Simon View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002338: TIBBCDField sort problem with TJvMemoryData
Description When there is a field of type TIBBCDField in a TJVMemoryData, we can not use this field to sort a record set: the procedure SortOnFields doesn't work.
Additional Information
Tags No tags attached.
Attached Files zip file icon Sort.zip [^] (3,593 bytes) 2006-04-04 05:27

- Relationships

-  Notes
(0008787)
obones (administrator)
2006-03-31 05:36

Sorry for the delay.
Could you provide a sample application showing this, after having tried again with the latest version?
Thanks in advance.
(0008874)
DSimon (reporter)
2006-04-04 05:24

Hi Obones. Honestly, I could not test this issue with the last version, but until de version tested (change log dated 2006-01-11) the problem still occurs. I put a sample application (SORT.DPR on Delphi 6) to show. If some one have the last version installed, please try...
Daniel
(0009457)
obones (administrator)
2006-06-08 05:32

You can get the latest version from here:

http://jvcl.sf.net/daily/ [^]
(0009458)
obones (administrator)
2006-06-08 05:36

I'm seing this as well.
(0009461)
obones (administrator)
2006-06-08 06:49

This is now fixed in SVN. Basically, in TJvMemoryData.CompareFields add this line in the case:

    ftBcd, ftFMTBcd:
      Result := BcdCompare(TBcd(Data1^), TBcd(Data2^));

You will need to add FMTBcd to the list of uses as well. This was tested with Delphi 2006, it may need to be adjusted for Delphi 5.

- Issue History
Date Modified Username Field Change
2004-11-24 10:40 Daniel Simon New Issue
2006-03-31 05:36 obones Note Added: 0008787
2006-03-31 05:36 obones Status new => feedback
2006-04-04 05:24 DSimon Note Added: 0008874
2006-04-04 05:27 DSimon File Added: Sort.zip
2006-06-08 05:32 obones Note Added: 0009457
2006-06-08 05:36 obones Note Added: 0009458
2006-06-08 05:36 obones Status feedback => confirmed
2006-06-08 06:49 obones Status confirmed => resolved
2006-06-08 06:49 obones Resolution open => fixed
2006-06-08 06:49 obones Assigned To => obones
2006-06-08 06:49 obones Note Added: 0009461


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker